<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require('includes/classes/currencies.php');
  $currencies = new currencies();

// PARAMETERS 
  define(UNSOLD_IMAGE_HEIGHT, 40) ;
  define(UNSOLD_IMAGE_WIDTH, 40) ;
  define(UNSOLD_DAYS, 30);

  $tdate = $_POST['tdate'];
  if ($_POST['tdate'] == '') $tdate = $_GET['tdate'];
  if ($_GET['tdate'] == '') $tdate = UNSOLD_DAYS;

// Delete Entry Begin : Roman Gruhn
  if ($HTTP_GET_VARS['action']=='delete') {
    $reset_query_raw = "delete from customers_basket where customers_id=$HTTP_GET_VARS[customer_id]";
    tep_db_query($reset_query_raw);
    $reset_query_raw2 = "delete from customers_basket_attributes where customers_id=$HTTP_GET_VARS[customer_id]";
    tep_db_query($reset_query_raw2);
    tep_redirect(tep_href_link('stats_unsold_carts.php', 'delete=1&customer_id='. $HTTP_GET_VARS['customer_id'] . '&tdate=' . $tdate));
  }
  if ($HTTP_GET_VARS['delete']) {
    $messageStack->add(MESSAGE_STACK_CUSTOMER_ID . $HTTP_GET_VARS['customer_id'] . MESSAGE_STACK_DELETE_SUCCESS, 'success');
  }
// Delete Entry End

  require('includes/template_top.php');
?>
<!-- body //-->
<?php
  function seadate($day) {
    $rawtime = strtotime("-".$day." days");
    $ndate = date("Ymd", $rawtime);
    return $ndate;
  }

  function cart_date_short($raw_date) {
    if ( ($raw_date == '00000000') || ($raw_date == '') ) return false;

    $year = substr($raw_date, 0, 4);
    $month = (int)substr($raw_date, 4, 2);
    $day = (int)substr($raw_date, 6, 2);

    if (@date('Y', mktime(0, 0, 0, $month, $day, $year)) == $year) {
      return date(DATE_FORMAT, mktime(0, 0, 0, $month, $day, $year));
    } else {
      return ereg_replace('2037' . '$', $year, date(DATE_FORMAT, mktime(0, 0, 0, $month, $day, 2037)));
    }
  }
?>
<!-- body_text //-->
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr>
    <td>
    <!-- REPORT TABLE BEGIN //-->
      <table border="0" width="100%" cellspacing="0" cellpadding="0">
        <tr>
          <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
          <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
          <td align="right"><form method="get" action="stats_unsold_carts.php">
		    <table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td class="smallText" align="right"><?php echo DAYS_FIELD_PREFIX; ?><input type=text size=4 width=4 value=<?php echo $tdate; ?> name=tdate><?php echo DAYS_FIELD_POSTFIX; ?><input type=submit value="<?php echo DAYS_FIELD_BUTTON; ?>"></td>
			  </tr>
            </table>
		  </form></td>
        </tr>
      </table>
      <table border="0" width="100%" cellspacing="0" cellpadding="2">
        <tr class="dataTableHeadingRow">
          <td class="dataTableHeadingContent" align="left" colspan="1" width="15%"><?php echo TABLE_HEADING_DATE; ?></td>
          <td class="dataTableHeadingContent" align="left" colspan="1" width="35%"><?php echo TABLE_HEADING_CUSTOMER; ?></td>
          <td class="dataTableHeadingContent" align="left" colspan="1" width="35%"><?php echo TABLE_HEADING_EMAIL; ?></td>
          <td class="dataTableHeadingContent" align="left" colspan="3" width="15%"><?php echo TABLE_HEADING_PHONE; ?></td>
        </tr>
        <tr class="dataTableHeadingRow">
          <td class="dataTableHeadingContent" align="left" colspan="1" width="20%"><?php echo TABLE_HEADING_MODEL; ?></td>
          <td class="dataTableHeadingContent" align="left" colspan="2" width="40%"><?php echo TABLE_HEADING_DESCRIPTION; ?></td>
          <td class="dataTableHeadingContent" align="center" colspan="1" width="10%"><?php echo TABLE_HEADING_QUANTY; ?></td>
          <td class="dataTableHeadingContent" align="right" colspan="1" width="15%"><?php echo TABLE_HEADING_PRICE; ?></td>
          <td class="dataTableHeadingContent" align="right" colspan="1" width="15%"><?php echo TABLE_HEADING_TOTAL; ?></td>
        </tr>
<?php
  $ndate = seadate($tdate);

  // Old SQL had bug; if the customer had multiple items in basket and one was before the date selected and the other was after then it would show only 1&customer_id
  // This now looks for any kart with any item added after to date; ie last time user added something, but then will display everything in the kart

  $query1 = tep_db_query("select cb.customers_id cid,
                                 cb.products_id pid,
                                 cb.customers_basket_quantity qty,
                                 cb.customers_basket_date_added bdate,
                                 cus.customers_firstname fname,
                                 cus.customers_lastname lname,
                                 cus.customers_telephone phone,
                                 cus.customers_email_address email
                            FROM customers_basket cb,
                                 customers cus
                           WHERE cb.customers_id IN (
				 SELECT DISTINCT cb.customers_id cid
				            FROM customers_basket cb
						   WHERE cb.customers_basket_date_added >= '" . $ndate . "')
						     and cb.customers_id = cus.customers_id
						order by cb.customers_id,
						         cb.customers_basket_date_added desc");
  $results = 0;
  $curcus = "";
  $tprice = 0;
  $totalAll = 0;

  $first_line = true;
  while ($inrec = tep_db_fetch_array($query1)) {
    if ($curcus != $inrec['cid']) {
      // output line
      $totalAll += $tprice;
      $tcart_formated = $currencies->format($tprice);
      $cline .= "
        <tr>
          <td class='dataTableContent' align='right' colspan='6'><strong>" . TABLE_CART_TOTAL . "</strong>" . $tcart_formated . "</td>
        </tr>
        <tr>
          <td colspan='6' align='right'>" . tep_draw_button(IMAGE_DELETE, 'trash', tep_href_link('stats_unsold_carts.php',"action=delete&customer_id=$curcus&tdate=$tdate")) . "</td>
        </tr>";

      if ($curcus != "") echo $cline;

      // set new cline and curcus
      $curcus = $inrec['cid'];
      $tprice = 0;

      if ($first_line == false) {
        $cline = "
        <tr>
          <td colspan=6><br /></td>
        </tr>";
      } else {
        $cline = "";
        $first_line = false;
      }
      $cline .= "
        <tr>
          <td class='dataTableContent' align='left' width='15%'> " . cart_date_short($inrec['bdate']) . "</td>
          <td class='dataTableContent' align='left' width='35%'><a href='" . tep_href_link('customers.php', 'search=' . $inrec['lname'], 'NONSSL') . "'>" . $inrec['fname'] . " " . $inrec['lname'] . "</a></td>
          <td class='dataTableContent' align='left' width='35%'><a href='" . tep_href_link('mail.php', 'selected_box=tools&customer=' . $inrec['email']) . "'>" . $inrec['email'] . "</a></td>
          <td class='dataTableContent' align='left' colspan='3' width='15%'>" . $inrec['phone'] . "</td>
        </tr>";
    }

    // empty the shopping cart
    $query2 = tep_db_query("select p.products_price price,
                                   p.products_model model,
                                   p.products_image image,
                                   pd.products_name name
                              FROM products p,
                                   products_description pd,
                                   languages l
                             WHERE p.products_id = '" . $inrec['pid'] . "' and
                                   pd.products_id = p.products_id and
                                   l.languages_id = pd.language_id");

    $inrec2 = tep_db_fetch_array($query2);
    $tprice = $tprice + ($inrec['qty'] * $inrec2['price']);

    if ($inrec['qty'] != 0) {
      $pprice_formated  = $currencies->format($inrec2['price']);
      $tpprice_formated = $currencies->format(($inrec['qty'] * $inrec2['price']));
      $cline .= "
        <tr class='dataTableRow'>
          <td class='dataTableContent' align='left' width='20%'>" . $inrec2['model'] . "</td>
          <td class='dataTableContent' align='left' colspan='2' width='40%'><a href='" . tep_href_link('categories.php', 'action=new_product_preview&read=only&pID=' . $inrec['pid'] . '&origin=' . 'stats_unsold_carts.php' . '?page=' . $HTTP_GET_VARS['page'], 'NONSSL') . "'>" . $inrec2['name'] . "</a></td>
          <td class='dataTableContent' align='center' width='10%'>" . $inrec['qty'] . "</td>
          <td class='dataTableContent' align='right' width='15%'>" . $pprice_formated . "</td>
          <td class='dataTableContent' align='right' width='15%'>" . $tpprice_formated . "</td>
        </tr>
		<tr class='dataTableRow'>
		  <td class='dataTableContent' align='left' colspan='6'>" . tep_image(DIR_WS_CATALOG_IMAGES . $inrec2['image'], '',  $inrec2['name'], UNSOLD_IMAGE_WIDTH, UNSOLD_IMAGE_HEIGHT) . "</td>
		</tr>";
	}
  }

  // if we have had some customers then we need a final customer total line
  if ($curcus != "") {
    $totalAll += $tprice;
    $tcart_formated = $currencies->format($tprice);
    $cline .= "
        <tr>
          <td class='dataTableContent' align='right' colspan='6'><strong>" . TABLE_CART_TOTAL . "</strong>" . $tcart_formated . "</td>
        </tr>
        <tr>
          <td colspan='6' align='right'>" . tep_draw_button(IMAGE_RESET, 'trash', tep_href_link('stats_unsold_carts.php',"action=delete&customer_id=$curcus&tdate=$tdate")) . "</td>
        </tr>";
  }

  $totalAll_formated = $currencies->format($totalAll);

  $cline .= "
        <tr>
          <td class='dataTableContent' align='right' colspan='6'><strong>" . TABLE_GRAND_TOTAL . "</strong>" . $totalAll_formated . "</td>
        </tr>";

  echo $cline;
?>
      </table>
    <!-- REPORT TABLE END //-->
	</td>
  </tr>
</table>
<!-- body_eof //-->

<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>